.navbar {
  height:50px; 
  display:flex;
  justify-content:space-evenly;
  flex-wrap: nowrap;
}
ul {  
  list-style:none;
  padding: 0;
  margin: 0;
  font-size: 16px;
  color: blue;
 }

ul li {
  display:inline-block;
  position:relative; 
  
}

li ul { display: none; }
ul li a {
  display: block;
  padding: 1em;
  text-decoration: none;
  white-space:nowrap;
  color: #fff;
}

ul li a:hover { background:white; }

li:hover > ul {
  display: block;
  position: absolute;
}

li:hover li { float: none; }

li:hover a { 
  width:3.5cm;
  background:darkgoldenrod; 
 }
li:hover li a:hover { background:rgb(240, 197, 87); }


.main-navigation li ul li { border-top: 0; }


ul ul ul {
  left: 100%;
  top: 0;
}
ul:before, ul:after {
  content: " "; /* 1 */
  display: table; /* 2 */
}
ul:after { clear: both; }